Bug 31488 - pptx import: blue background, save/reopen as .odp changes to gray
Summary: pptx import: blue background, save/reopen as .odp changes to gray
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Tamás Zolnai
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.2.6
Keywords: filter:odp
: 58390 95454 105739 (view as bug list)
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2010-11-09 00:17 UTC by Tobias Burnus
Modified: 2017-03-15 08:01 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case (pptx file) (34.46 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-11-09 00:17 UTC, Tobias Burnus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2010-11-09 00:17:20 UTC
Created attachment 40138 [details]
Test case (pptx file)

That's with LibreOffice 330m9 and also with OOo 330m6.

I have a .pptx file, which has - when opened in PowerPoint 2003 a blue
background. If I open it in OpenOffice, the result is the same.

However, after saving the file as .odp and reopening it, OpenOffice shows a
black (top) to white (bottom) gradient-shading background.

Cf. also OOo issue
http://www.openoffice.org/issues/show_bug.cgi?id=115485
Comment 1 Petr Mladek 2010-11-16 12:13:31 UTC
I see this also with LibO-3.3-beta3 build.

Radek, it seems to be for you.
Comment 2 Roman Eisele 2012-05-03 05:55:56 UTC
This is a Impress bug, right? Therefore changed Component accordingly.
Comment 3 bfoman (inactive) 2013-07-24 13:17:45 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Gradient-shading background after odp reload.
Comment 4 tommy27 2014-02-15 15:32:29 UTC
still reproducible under Win7 64bit using 4.3.0.0.alpha0+
Build ID: a995462e6855061816c6529c366f20ace2b45868
TinderBox: Win-x86@42, Branch:master, Time: 2014-01-31_23:29:34

same issue in AOO 4.0.0

so this is an "inherited from OOo" bug
Comment 5 Cor Nouws 2014-06-17 15:33:54 UTC
*** Bug 58390 has been marked as a duplicate of this bug. ***
Comment 6 Julien Nabet 2014-10-16 20:08:46 UTC
On pc Debian x86-64 with master sources updated today, I coudl reproduce this.

Radek: any update?
Comment 7 QA Administrators 2014-10-23 17:31:56 UTC Comment hidden (obsolete)
Comment 8 Geoffrey 2014-10-30 13:44:33 UTC
Still present in LibreOffice 4.3.2. Exact reproducable (you can just select reload from the File menu).
Comment 9 Geoffrey 2015-01-14 20:17:52 UTC
After additional testing, I can say that ODP export and import is not the problem, but rather the PPTX import/export.

If you open the original PPTX file with Impress and go to Style -> Page and select Background, you can see that the background "gray gradient" is selected. 

1) Maybe something was missed while importing the background (PPTX import filter).
2) Maybe the test file is corrupt. PowerPoint 2003 orginally did not support the file format PPTX. It was added with an update or extension pack. In this case, however, LibreOffice can still handle those PPTX files correctly.
Comment 10 Julien Nabet 2015-01-14 20:23:39 UTC
Geoffrey: with which LO version did you try? (last one is 4.3.5)

Radek: since the bug hasn't the ASSIGNED status, I resetted the assignee. However, if interested, don't hesitate to reassign yourself.
Comment 11 Geoffrey 2015-01-15 08:56:00 UTC
(In reply to Julien Nabet from comment #10)
> Geoffrey: with which LO version did you try? (last one is 4.3.5)
> 
> Radek: since the bug hasn't the ASSIGNED status, I resetted the assignee.
> However, if interested, don't hesitate to reassign yourself.

I did try with 4.3.5 at first :).

Although the PPTX opened with Impress has a blue background, in the settings "gradient" is selected. So that option is not properly set: it's obvious that it is a solid blue and not a gradient.
Comment 12 tommy27 2015-08-25 14:19:26 UTC
retested under Win8.1 x64 bug is still present in LibO 4.4.5 and recent 5.1.0 alpha daily build.
Comment 13 Julien Nabet 2015-08-27 05:54:57 UTC
On pc Debian x86-64 with master sources, I could still reproduce this.

I noticed this on console logs: "a MSO 2007 document" (see http://opengrok.libreoffice.org/xref/core/oox/source/core/xmlfilterbase.cxx#250)

Also, as indicated here http://nabble.documentfoundation.org/About-liststore-in-areatabpage-ui-cui-module-td4158438.html, I noticed that FillPropertiesContext::createFillContext was called several times (sometimes with noFill, sometimes with solidFill and also with gradFill) whereas there's only 1 background.

Miklos: thought you might be interested in this one.
Comment 14 raal 2015-11-02 18:55:18 UTC
*** Bug 95454 has been marked as a duplicate of this bug. ***
Comment 15 A (Andy) 2015-11-20 21:47:47 UTC
Reproducible with LO 5.0.3.2, Win 8.1
Comment 16 Telesto 2016-11-24 14:15:05 UTC
Confirming with:
Version: 5.3.0.0.alpha1+
Build ID: f965a629fba10ecba7bad938a0c1c9c3db1e510d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-23_00:13:10
Locale: nl-NL (nl_NL); Calc: CL
Comment 17 Tamás Zolnai 2017-02-05 15:35:03 UTC
*** Bug 105739 has been marked as a duplicate of this bug. ***
Comment 18 Commit Notification 2017-02-05 18:30:06 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aeece6f198685b96579bdbd1409b3535fb5f09d1

tdf#31488: Background fill changes its color when saving a PPTX file to ODP

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2017-02-07 08:35:50 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90dd417259170f74ec74dfdd80183e49dc9a1f6d&h=libreoffice-5-3

tdf#31488: Background fill changes its color when saving a PPTX file to ODP

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 tommy27 2017-02-07 08:59:44 UTC
thanks Tamas for fixing such an old bug from the OOo era
Comment 21 Commit Notification 2017-02-09 09:29:36 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b51867eeacf49bf4834ffe0059818d1b850544de&h=libreoffice-5-2

tdf#31488: Background fill changes its color when saving a PPTX file to ODP

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 krishna [:kr1shna] 2017-03-15 07:09:31 UTC
verified.
Version: 5.4.0.0.alpha0+ / Build ID: febc116 / ls-4001 / android 5.1

it shows blue background.